import { Machine } from 'xstate';

export const toggleMachine = Machine({
    id: 'toggleMachine',
    initial: 'NOTREADY',
    states: {
        NOTREADY: {
            on: { TOGGLE: 'READY' }
        },
        READY: {
            on: { TOGGLE: 'NOTREADY' }
        }
    }
});